weka.knowledgeflow

## Enum LoggingLevel

- java.lang.Object
- - java.lang.Enum<LoggingLevel>
  - - weka.knowledgeflow.LoggingLevel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LoggingLevel>

      public enum LoggingLevel
      extends java.lang.Enum<LoggingLevel>

  Enum for different logging levels
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASIC`
    `DEBUGGING`
    `DETAILED`
    `ERROR`
    `LOW`
    `NONE`
    `WARNING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LoggingLevel` | `stringToLevel(java.lang.String s)` Return LoggingLevel given its name as a string
    `java.lang.String` | `toString()` String representation
    `static LoggingLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LoggingLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final LoggingLevel NONE

    - #### LOW

          public static final LoggingLevel LOW

    - #### BASIC

          public static final LoggingLevel BASIC

    - #### DETAILED

          public static final LoggingLevel DETAILED

    - #### DEBUGGING

          public static final LoggingLevel DEBUGGING

    - #### WARNING

          public static final LoggingLevel WARNING

    - #### ERROR

          public static final LoggingLevel ERROR

  - ### Method Detail

    - #### values

          public static LoggingLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LoggingLevel c : LoggingLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LoggingLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### stringToLevel

          public static LoggingLevel stringToLevel(java.lang.String s)

      Return LoggingLevel given its name as a string
      Parameters:
        `s` - the string containing the name of the logging level
      Returns:
        the LoggingLevel (or LoggingLevel.BASIC if the string could not be matched)

    - #### toString

          public java.lang.String toString()

      String representation
      Overrides:
        `toString` in class `java.lang.Enum<LoggingLevel>`
      Returns:
        the string representation of this logging level